TEMPFILE(1)

NAZWA
tempfile - w bezpieczny sposób tworzy plik tymczasowy

SKŁADNIA
tempfile [-d KATALOG] [-p ŁAŃCUCH] [-s ŁAŃCUCH] [-m TRYB] [-n PLIK] [--directory=KATALOG] [--prefix=ŁAŃCUCH] [--suffix=ŁAŃCUCH] [--mode=TRYB] [--name=PLIK] [--help] [--version]

OPIS

tempfile w bezpieczny sposób tworzy plik tymczasowy. Do wyboru nazwy korzysta z tempnam(3) i otwiera plik używając flag O_RDWR | O_CREAT | O_EXCL. Nazwa pliku jest wypisywana na standardowym wyjściu.

Katalog, w którym ma być umieszczony plik jest wyszukiwany w następującej kolejności:

a)  Katalog podany w zmiennej środowiskowej TMPDIR, jeśli można do niego zapisać.

b)  Katalog wyszczególniony jako argument opcji --directory, jeśli ją podano.

c)  Katalog /tmp.

Pakiety Debiana korzystające z tempfile w skryptach opiekunów muszą być zależne od debianutils >= 1.6.

OPCJE

-d, --directory KATALOG
    Umieszcza utworzony plik w zadanym KATALOGU.

-p, --prefix ŁAŃCUCH
    Do wygenerowania nazwy wykorzystuje do pięciu liter z ŁAŃCUCHA.

-s, --suffix ŁAŃCUCH
    Tworzy plik z ŁAŃCUCHEM jako przyrostkiem nazwy.

-m, --mode TRYB
    Otwiera plik z zadanym TRYBEM, zamiast z domyślnym 0600.

-n, --name PLIK
    Zamiast korzystać z tempnam(3) jako nazwy pliku używa PLIKU. Jeśli podano tę opcję, to -d, -p i -s są ignorowane.

--help
    Wypisuje na standardowym wyjściu komunikat o sposobie użycia i pomyślnie kończy pracę.

--version
    Wypisuje na standardowym wyjściu informację o wersji i pomyślnie kończy pracę.

ZWRACANE WARTOŚCI
Zwrócony kod 0 oznacza, że pomyślnie stworzono plik tymczasowy. Każdy inny kod wskazuje błąd.

BŁĘDY
Przy tworzeniu plików na partycjach NFS nie gwarantuje się tworzenia wyłącznego.

ZOBACZ TAKŻE
tempnam(3) mktemp(1)